TEMPLATE = aux
TARGET = fingerprintgpu

RESOURCES += fingerprintgpu.qrc

QML_FILES += $$files(*.qml,true) \
             $$files(*.js,true)

CONF_FILES +=  fingerprintgpu.apparmor \
               fingerprintgpu.png

AP_TEST_FILES += tests/autopilot/run \
                 $$files(tests/*.py,true)

OTHER_FILES += $${CONF_FILES} \
               $${QML_FILES} \
               $${AP_TEST_FILES} \
               fingerprintgpu.desktop 

#specify where the qml/js files are installed to
qml_files.path = /fingerprintgpu
qml_files.files += $${QML_FILES}

#specify where the config files are installed to
config_files.path = /fingerprintgpu
config_files.files += $${CONF_FILES}

#install the desktop file, a translated version is automatically created in 
#the build directory
desktop_file.path = /fingerprintgpu
desktop_file.files = $$OUT_PWD/fingerprintgpu.desktop 
desktop_file.CONFIG += no_check_exist 

INSTALLS+=config_files qml_files desktop_file

DISTFILES += \
    CircularSegment.qml \
    SegmentRenderer.qml \
    SegmentBoundingBoxes.qml

